﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace JeffreySun.Dwfx.Packing
{
  public interface IDwfxDocumentReader : IDwfxContentReader
  {
    IDwfxFixedPageReader GetFixedPage(Uri pageSource);

    int DocumentNumber { get; }
    DwfxStructure DocumentStructure { get; }
    ReadOnlyCollection<IDwfxFixedPageReader> FixedPages { get; }
    DwfxThumbnail Thumbnail { get; }
    Uri Uri { get; }

    IDwfxFixedPageReader CurrentFixedPage { get; }
    IDwfxGraphicsDictionaryReader DictionaryReader { get; }
    IDwfxGraphicsExtentionReader ExtensionReader { get; }
    IDwfxObjectDefinitionReader DefinitionReader { get; }

    Dictionary<string, List<DwfxProperty>> BlockPropertiesDictionary { get; }
    List<DwfxFont> FontCollection { get; }
  }
}
