﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Packaging;

namespace JeffreySun.Dwfx.Packing
{
  public class DwfxFont : DwfxResource
  {
    private bool isObfuscated;
    private bool isResticted;

    public DwfxFont(DwfxManager dwfxManager, INode parent, PackagePart part)
      : base(dwfxManager, parent, part)
    {
      this.isObfuscated = part.ContentType == DwfxMarkup.FontObfuscatedContentType.ToString();
    }

    public bool IsObfuscated
    {
      get
      {
        return this.isObfuscated;
      }
    }

    public bool IsRestricted
    {
      get
      {
        return this.isResticted;
      }
      set
      {
        this.isResticted = value;
      }
    }
  }
}
