﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Packaging;
using System.IO;

namespace JeffreySun.Dwfx.Packing
{
  public class DwfxPartBase
  {
    private Uri uri;
    private DwfxManager dwfxManager;

    public DwfxPartBase(DwfxManager dManager)
    {
      if (dManager == null)
      {
        throw new ArgumentNullException("dwfxManager");
      }

      this.dwfxManager = dManager;
    }

    public DwfxManager CurrentDwfxManager
    {
      get
      {
        return this.dwfxManager;
      }
    }

    public Uri Uri
    {
      get
      {
        return this.uri;
      }
      set
      {
        this.uri = value;
      }
    }
  }
}
