﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JeffreySun.Dwfx.Packing
{
  internal class XmlTags
  {
    private const string source = "Source";
    private const string resource = "Resource";
    private const string section = "Section";
    private const string table = "Toc";
    private const string link = "href";
    private const string role = "role";
    private const string type = "type";
    private const string sync = "RenditionSync";
    private const string refName = "refName";
    private const string objectNode = "Object_Node";
    private const string number = "Number";
    private const string properties = "Properties";
    private const string property = "Property";
    private const string @object = "Object";
    private const string name = "name";
    private const string value = "value";
    private const string category = "category";
    private const string id = "id";
    private const string refs = "refs";
    private const string instance = "Instance";
    private const string nodes = "nodes";
    private const string obj = "object";


    public static string Source
    {
      get
      {
        return source;
      }
    }

    public static string Resource
    {
      get
      {
        return resource;
      }
    }

    public static string Section
    {
      get
      {
        return section;
      }
    }

    public static string Table
    {
      get
      {
        return table;
      }
    }

    public static string Link
    {
      get
      {
        return link;
      }
    }

    public static string Role
    {
      get
      {
        return role;
      }
    }

    public static string Type
    {
      get
      {
        return type;
      }
    }

    public static string Sync
    {
      get
      {
        return sync;
      }
    }

    public static string RefName
    {
      get
      {
        return refName;
      }
    }

    public static string ObjectNode
    {
      get
      {
        return objectNode;
      }
    }

    public static string Number
    {
      get
      {
        return number;
      }
    }

    public static string Properties
    {
      get
      {
        return properties;
      }
    }

    public static string Property
    {
      get
      {
        return property;
      }
    }

    public static string Object
    {
      get
      {
        return @object;
      }
    }

    public static string Name
    {
      get
      {
        return name;
      }
    }

    public static string Value
    {
      get
      {
        return value;
      }
    }

    public static string Category
    {
      get
      {
        return category;
      }
    }

    public static string Id
    {
      get
      {
        return id;
      }
    }

    public static string Refs
    {
      get
      {
        return refs;
      }
    }

    public static string Instance
    {
      get
      {
        return instance;
      }
    }

    public static string Obj
    {
      get
      {
        return obj;
      }
    }

    public static string Nodes
    {
      get
      {
        return nodes;
      }
    }

  }
}
