﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace JeffreySun.Dwfx
{
  [StructLayout(LayoutKind.Sequential, Size = 1)]
  public struct SRID
  {
    public const string Default = "Default";
    public const string ReachPackaging_PrintTicketAlreadyCommitted = "ReachPackaging_PrintTicketAlreadyCommitted";
    public const string ReachPackaging_DependantsNotCommitted = "ReachPackaging_DependantsNotCommitted";
    public const string ReachPackaging_NotAPrintTicket = "ReachPackaging_NotAPrintTicket";
    public const string ReachPackaging_PanelOrSequenceAlreadyOpen = "ReachPackaging_PanelOrSequenceAlreadyOpen";
    public const string ReachPackaging_NotAFixedDocument = "ReachPackaging_NotAFixedDocument";
    public const string ReachPackaging_NotAFixedPage = "ReachPackaging_NotAFixedPage";
    public const string ReachPackaging_OpenDocOrElementAlreadyCalled = "ReachPackaging_OpenDocOrElementAlreadyCalled";
    public const string ReachPackaging_AlreadyHasStartingPart = "ReachPackaging_AlreadyHasStartingPart";
    public const string ReachPackaging_AlreadyHasThumbnail = "ReachPackaging_AlreadyHasThumbnail";
    public const string ReachPackaging_OnlyWriters = "ReachPackaging_OnlyWriters";
    public const string ReachPackaging_PartNotFound = "ReachPackaging_PartNotFound";
    public const string ReachPackaging_AlreadyHasRootSequenceOrDocument = "ReachPackaging_AlreadyHasRootSequenceOrDocument";
    public const string ReachPackaging_NotOpenForReading = "ReachPackaging_NotOpenForReading";
    public const string ReachPackaging_InvalidStartingPart = "ReachPackaging_InvalidStartingPart";
    public const string ReachPackaging_InvalidDocUri = "ReachPackaging_InvalidDocUri";
    public const string ReachPackaging_InvalidType = "ReachPackaging_InvalidType";
    public const string ReachPackaging_ServiceTypeAlreadyAdded = "ReachPackaging_ServiceTypeAlreadyAdded";
    public const string ReachPackaging_CannotModifyReadOnlyContainer = "ReachPackaging_CannotModifyReadOnlyContainer";
    public const string ReachPackaging_MoreThanOneStartingParts = "ReachPackaging_MoreThanOneStartingParts";
    public const string ReachPackaging_MoreThanOneMetaDataParts = "ReachPackaging_MoreThanOneMetaDataParts";
    public const string ReachPackaging_MoreThanOneSigOriginParts = "ReachPackaging_MoreThanOneSigOriginParts";
    public const string ReachPackaging_MoreThanOneSigDefParts = "ReachPackaging_MoreThanOneSigDefParts";
    public const string ReachPackaging_MoreThanOneThumbnailPart = "ReachPackaging_MoreThanOneThumbnailPart";
    public const string ReachPackaging_MoreThanOnePrintTicketPart = "ReachPackaging_MoreThanOnePrintTicketPart";
    public const string ReachPackaging_PartFromDifferentContainer = "ReachPackaging_PartFromDifferentContainer";
    public const string ReachPackaging_PackageUriNull = "ReachPackaging_PackageUriNull";
    public const string ReachPackaging_NotAFixedDocumentSequence = "ReachPackaging_NotAFixedDocumentSequence";
    public const string ReachPackaging_NotSignatureDefinitionElement = "ReachPackaging_NotSignatureDefinitionElement";
    public const string ReachPackaging_NotValidSignatureDefinitionAttribute = "ReachPackaging_NotValidSignatureDefinitionAttribute";
    public const string ReachPackaging_NotValidSignatureDefinitionElement = "ReachPackaging_NotValidSignatureDefinitionElement";
    public const string ReachPackaging_SpotIDRequiredAttribute = "ReachPackaging_SpotIDRequiredAttribute";
    public const string ReachPackaging_UnsupportedImageType = "ReachPackaging_UnsupportedImageType";
    public const string ReachPackaging_UnsupportedThumbnailImageType = "ReachPackaging_UnsupportedThumbnailImageType";
    public const string ReachPackaging_DocumentWasClosed = "ReachPackaging_DocumentWasClosed";
    public const string ReachPackaging_InvalidContentType = "ReachPackaging_InvalidContentType";
    public const string Converter_ConvertToNotSupported = "Converter_ConvertToNotSupported";
    public const string Converter_ConvertFromNotSupported = "Converter_ConvertFromNotSupported";
    public const string ReachPackaging_SequenceCntMustBe1 = "ReachPackaging_SequenceCntMustBe1";
    public const string ReachPackaging_CommitCountPolicyLessThan1 = "ReachPackaging_CommitCountPolicyLessThan1";
    public const string ReachPackaging_ObfucatedFontNeedGuid = "ReachPackaging_ObfucatedFontNeedGuid";
    public const string ReachPackaging_MoreThanOneDocStructure = "ReachPackaging_MoreThanOneDocStructure";
    public const string ReachPackaging_MoreThanOneStoryFragment = "ReachPackaging_MoreThanOneStoryFragment";
    public const string ReachPackaging_SigningDoesNotMeetPolicy = "ReachPackaging_SigningDoesNotMeetPolicy";
    public const string MustBeOfType = "MustBeOfType";
    public const string ReachSerialization_NoFontService = "ReachSerialization_NoFontService";
    public const string ReachSerialization_NoImageService = "ReachSerialization_NoImageService";
    public const string ReachSerialization_NotSupported = "ReachSerialization_NotSupported";
    public const string ReachSerialization_NoSerializer = "ReachSerialization_NoSerializer";
    public const string ReachSerialization_CannotReleaseXmlWriter = "ReachSerialization_CannotReleaseXmlWriter";
    public const string ReachSerialization_NoFixedPageWriter = "ReachSerialization_NoFixedPageWriter";
    public const string ReachSerialization_MustHaveSerializationManager = "ReachSerialization_MustHaveSerializationManager";
    public const string ReachSerialization_UnableToInstantiateSerializer = "ReachSerialization_UnableToInstantiateSerializer";
    public const string ReachSerialization_WrongPropertyTypeForFixedPage = "ReachSerialization_WrongPropertyTypeForFixedPage";
    public const string ReachSerialization_WrongPropertyTypeForFixedDocument = "ReachSerialization_WrongPropertyTypeForFixedDocument";
    public const string ReachSerialization_WrongPropertyTypeForPageContent = "ReachSerialization_WrongPropertyTypeForPageContent";
    public const string ReachSerialization_TargetNotPrintTicket = "ReachSerialization_TargetNotPrintTicket";
    public const string ReachSerialization_CycleDetectedInSerialization = "ReachSerialization_CycleDetectedInSerialization";
    public const string ReachSerialization_NotXpsSerializationManagerAsync = "ReachSerialization_NotXpsSerializationManagerAsync";
    public const string ReachSerializationAsync_NoType = "ReachSerializationAsync_NoType";
    public const string ReachSerializationAsync_NoNgcType = "ReachSerializationAsync_NoNgcType";
    public const string ReachSerialization_WrongPackagingPolicy = "ReachSerialization_WrongPackagingPolicy";
    public const string ReachSerialization_ExpectedFixedDocumentSequence = "ReachSerialization_ExpectedFixedDocumentSequence";
    public const string ReachSerialization_ExpectedFixedDocument = "ReachSerialization_ExpectedFixedDocument";
    public const string ReachSerialization_ExpectedFixedPage = "ReachSerialization_ExpectedFixedPage";
    public const string ReachSerialization_FixedDocumentInDocument = "ReachSerialization_FixedDocumentInDocument";
    public const string ReachSerialization_FixedDocumentInPage = "ReachSerialization_FixedDocumentInPage";
    public const string ReachSerialization_NoFixedPages = "ReachSerialization_NoFixedPages";
    public const string ReachSerialization_FixedPageInPage = "ReachSerialization_FixedPageInPage";
    public const string ReachSerialization_NoFixedDocuments = "ReachSerialization_NoFixedDocuments";
    public const string XpsSerializerFactory_WriterIsClosed = "XpsSerializerFactory_WriterIsClosed";
    public const string XpsSerializerFactory_DisplayName = "XpsSerializerFactory_DisplayName";
    public const string XpsSerializerFactory_ManufacturerName = "XpsSerializerFactory_ManufacturerName";
    public const string XpsSerializerFactory_ManufacturerWebsite = "XpsSerializerFactory_ManufacturerWebsite";
  }
}
